      program get
      include 'grib_api_f77.h' ! meghivja a gribapit
      integer ifile, iret, igrib
      integer numberOfValues
 
      ifile=10
 
      iret=grib_open_file(ifile,'ecm.grib','r')
C     megnyitja a file-t
      call grib_check(iret)
      call grib_check( grib_new_from_file(ifile,igrib) )
C     innentol az igrib azonositoval hivatkozhatunk ra
 
      call grib_check(grib_get_size(igrib,'values',numberOfValues))
      write(*,*) 'numberOfValues=',numberOfValues
C     kiirja hany racspont van
 
      call grib_check(grib_release(igrib))
      call grib_check(grib_close_file(ifile))
 
      stop
      end
      